<?php

namespace Drupal\taxonomy_term_machine_name\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FieldItemListInterface;
use Drupal\Core\Field\FormatterBase;

/**
 * Plugin implementation of the 'taxonomy_term_machine_name' formatter.
 *
 * @FieldFormatter(
 *   id = "taxonomy_term_machine_name_default",
 *   label = @Translation("Machine Name"),
 *   field_types = {
 *     "taxonomy_term_machine_name_default",
 *   },
 * )
 */
class TaxonomyTermMachineNameDefaultFormatter extends FormatterBase {

  /**
   * {@inheritdoc}
   */
  public function viewElements(FieldItemListInterface $items, $langcode) {
    $elements = [];
    foreach ($items as $delta => $item) {
      $elements[$delta] = ['#markup' => $item->value];
    }
    return $elements;
  }

}
